#ifndef DATAROLE_H
#define DATAROLE_H
#include "metaqenum.h"

class DataRole: public EnumClass<DATAROLE>
{
private:
   explicit DATAROLE(int Value, QString Name): EnumClass<DATAROLE>(Value, Name) { }

public:
   static const DataRole auxnticketsprinted;
   static const DataRole auxptr1;
   static const DataRole auxptr2;
   static const DataRole cadressefac;
   static const DataRole cadressliv;
   static const DataRole catcliptr;
   static const DataRole ccdatecloturer;
   static const DataRole ccdeviseinfo;
   static const DataRole ccidcloturer;
   static const DataRole ccidoperateur;
   static const DataRole ccomment;
   static const DataRole ccprice;
   static const DataRole cctotalbills;
   static const DataRole cctotalpays;
   static const DataRole cctotalsales;
   static const DataRole cnomoperat;
   static const DataRole cpcatcli;
   static const DataRole cpcoord;
   static const DataRole cpdateinteg;
   static const DataRole cpdatepaym;
   static const DataRole cpdateseanse;
   static const DataRole cpiddevise;
   static const DataRole cpidmodepay;
   static const DataRole cpidzonetar;
   static const DataRole cplibelle;
   static const DataRole cpmontant;
   static const DataRole cpprix;
   static const DataRole cpquantite;
   static const DataRole cprenomoperat;
   static const DataRole cptcolor;
   static const DataRole cpzonetar;
   static const DataRole ctotal;
   static const DataRole ctypecivilite;
   static const DataRole dataTypeID;
   static const DataRole database;
   static const DataRole dcborrowed;
   static const DataRole dccatcli;
   static const DataRole dccoord;
   static const DataRole dciddetails;
   static const DataRole dclabels;
   static const DataRole dcprix;
   static const DataRole dcproducttype;
   static const DataRole dcquantite;
   static const DataRole derniercloture;
   static const DataRole dradresse1;
   static const DataRole dradresse2;
   static const DataRole drcodepostal;
   static const DataRole drdecoration;
   static const DataRole dridpays;
   static const DataRole dridtiers;
   static const DataRole dridville;
   static const DataRole drusagehabituel;
   static const DataRole eacdateintegration;
   static const DataRole eacdatepayment;
   static const DataRole eacdevise;
   static const DataRole eacidpayment;
   static const DataRole eacidtiers;
   static const DataRole eacmodepay;
   static const DataRole eacmontant;
   static const DataRole errmsg;
   static const DataRole fondcaisse;
   static const DataRole fpidetab;
   static const DataRole fpidgri;
   static const DataRole fpidpart;
   static const DataRole fpidprod;
   static const DataRole gabidp;
   static const DataRole griadmincmd;
   static const DataRole gtclibelle;
   static const DataRole gtcpriorite;
   static const DataRole gtctypevaleur;
   static const DataRole gtcvaleur;
   static const DataRole host;
   static const DataRole ikey;
   static const DataRole ikey2;
   static const DataRole ikey3;
   static const DataRole indicator;
   static const DataRole iuid;
   static const DataRole jsonType;
   static const DataRole levelsitenumbitem;
   static const DataRole mediafile;
   static const DataRole mptypepaiem;
   static const DataRole msg;
   static const DataRole newseanceprinterid;
   static const DataRole newseanceuserprofileid;
   static const DataRole nomsitenumbitem;
   static const DataRole nticketsprinted;
   static const DataRole operatid;
   static const DataRole partneradressesrv;
   static const DataRole partnerdatecreation;
   static const DataRole partnerenvoyercontactes;
   static const DataRole partneridsession;
   static const DataRole partnermdp;
   static const DataRole partnernom;
   static const DataRole partnerportsrv;
   static const DataRole partnerutilisateur;
   static const DataRole partnerventedirecte;
   static const DataRole passw;
   static const DataRole payorptr;
   static const DataRole pcatprodid;
   static const DataRole pctaux;
   static const DataRole pdescrip;
   static const DataRole pdtbankid;
   static const DataRole pdtcanceled;
   static const DataRole pdtdateannul;
   static const DataRole pdtdateinteg;
   static const DataRole pdtexternal;
   static const DataRole pdtnumcheque;
   static const DataRole petat;
   static const DataRole placesinset;
   static const DataRole port;
   static const DataRole printstatuscode;
   static const DataRole psvgid;
   static const DataRole qtdecorole;
   static const DataRole qtdisplayrole;
   static const DataRole qtdisplayrole2;
   static const DataRole scorderdate;
   static const DataRole scorderid;
   static const DataRole scvar;
   static const DataRole seriesitenumbitem;
   static const DataRole site2dviewptr;
   static const DataRole skinapercu;
   static const DataRole skinfname;
   static const DataRole slogin;
   static const DataRole snom;
   static const DataRole sprenom;
   static const DataRole starttime;
   static const DataRole stockitemptr;
   static const DataRole stoken;
   static const DataRole tacadrfacturation;
   static const DataRole tacadrlivraison;
   static const DataRole tacdatecreation;
   static const DataRole tacdatevalidation;
   static const DataRole tacidclient;
   static const DataRole tacidcommande;
   static const DataRole tacidoperateur;
   static const DataRole tactotal;
   static const DataRole tcivilite;
   static const DataRole tcpiddevise;
   static const DataRole tcpidmodepay;
   static const DataRole tcpidtiers;
   static const DataRole tiersptr;
   static const DataRole tmodifprivileges;
   static const DataRole tnom;
   static const DataRole topercomment;
   static const DataRole topercomment2;
   static const DataRole topermaker;
   static const DataRole totalbillet;
   static const DataRole totalcommande;
   static const DataRole totalespece;
   static const DataRole totalpaym;
   static const DataRole tpcissubcat;
   static const DataRole tprioritycomment;
   static const DataRole tsex;
   static const DataRole ttpgrole;
   static const DataRole tttiers;
   static const DataRole tweak;
   static const DataRole zapdispo;
   static const DataRole zapidgricol;
   static const DataRole zapquant;
   static const DataRole ztarnom;
};

#endif // DATAROLE_H
